Package net.sourceforge.jiu.codecs.tiff

# Class TIFFFaxCodes

java.lang.Object
net.sourceforge.jiu.codecs.tiff.TIFFFaxCodes

public class TIFFFaxCodes extends Object
Information to be used to decode and encode TIFF files in one of the bilevel compression types Modified Huffman, CCITT Group 3 or CCITT Group 4.

Since:
  0.9.0
Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int[][][]`
`BLACK_CODES`
The code words and their meanings for black codes.
`static final int`
`INDEX_CODE_VALUE`
Index of the code value in the int[] value pairs.
`static final int`
`INDEX_CODE_WORD`
Index of the code word in the int[] value pairs.
`static final int`
`MIN_BLACK_CODE_SIZE`
Minimum code length in bits of black codes.
`static final int`
`MIN_WHITE_CODE_SIZE`
Minimum code length in bits of white codes.
`static final int[][][]`
`WHITE_CODES`
The code words and their meanings for white codes.

## Constructor Summary

Constructors
Constructor
Description
`TIFFFaxCodes()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INDEX_CODE_WORD

public static final int INDEX_CODE_WORD
Index of the code word in the int[] value pairs.

See Also:
  - Constant Field Values

### INDEX_CODE_VALUE

public static final int INDEX_CODE_VALUE
Index of the code value in the int[] value pairs.

See Also:
  - Constant Field Values

### MIN_BLACK_CODE_SIZE

public static final int MIN_BLACK_CODE_SIZE
Minimum code length in bits of black codes.

See Also:
  - Constant Field Values

### MIN_WHITE_CODE_SIZE

public static final int MIN_WHITE_CODE_SIZE
Minimum code length in bits of white codes.

See Also:
  - Constant Field Values

### BLACK_CODES

public static final int[][][] BLACK_CODES
The code words and their meanings for black codes. In ascending order, starting at MIN_BLACK_CODE_SIZE bits, each int[][] object contains all the code word / code value pairs for one bit length.

### WHITE_CODES

public static final int[][][] WHITE_CODES
The code words and their meanings for white codes. In ascending order, starting at MIN_WHITE_CODE_SIZE bits, each int[][] object contains all the code word / code value pairs for one bit length.

## Constructor Details

### TIFFFaxCodes

public TIFFFaxCodes()